diff -Naru fvwm/fvwm.SlackBuild fvwm.new/fvwm.SlackBuild
--- fvwm/fvwm.SlackBuild	2018-09-19 00:04:14.365104000 +0200
+++ fvwm.new/fvwm.SlackBuild	2018-11-29 12:19:41.073652772 +0100
@@ -24,7 +24,7 @@
 
 PKGNAM=fvwm
 VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
 
 # Automatically determine the architecture we're building on:
 if [ -z "$ARCH" ]; then
@@ -83,6 +83,7 @@
   --libdir=/usr/lib${LIBDIRSUFFIX} \
   --sysconfdir=/etc \
   --mandir=/usr/man \
+  --enable-htmldoc \
   --docdir=/usr/doc/$PKGNAM-$VERSION \
   --program-prefix= \
   --program-suffix= \
@@ -98,9 +99,6 @@
 zcat $CWD/startfvwm2.gz > $PKG/usr/bin/startfvwm2
 chmod 755 $PKG/usr/bin/startfvwm2
 
-# This stuff appears to be misplaced junk:
-rm -rf $PKG/usr/share/doc
-
 # Add a few more things:
 mkdir -p $PKG/etc/X11/xinit
 zcat $CWD/xinitrc.fvwm2.gz > $PKG/etc/X11/xinit/xinitrc.fvwm2
@@ -128,9 +126,31 @@
 # Install some documentation:
 mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
 cp -a \
-  AUTHORS COPYING* NEWS README* \
+  COPYING* NEWS \
   $PKG/usr/doc/$PKGNAM-$VERSION
 
+# Move the html doc into place, as the htmldir configure option is not
+# honored (will be in version 2.6.9). Some edit is done in the source
+# files to avoid dead links and provide current useful documentation.
+# Acces to all the documentation is provided through this command:
+# <browser> /usr/doc/$PKGNAM-$VERSION/index.html
+mv $PKG/usr/share/doc/fvwm/* $PKG/usr/doc/$PKGNAM-$VERSION
+rm -r $PKG/usr/share/doc
+(  cd $PKG/usr/doc/$PKGNAM-$VERSION
+   for i in $(find -name "*.html"); do
+     sed -i "s,faq.html,faq/,;s,links.php,links/,;/.php/d" $i
+   done
+   sed -i "s,>Modules<,>List of all modules<,;s,>FAQ<,>FAQ (on line)<," commands/*.html
+   # Remove the links to non existing files, but highligt the module
+   # names as if they were options, to not modify style.css
+   sed -i 's@<a href="../modules/[^"]*">\([^<]*\)</a>@<font class="fvwmopt">\1</font>@g' commands/*.html
+   # Provide edited files to avoid broken links and insure the
+   # documentation correspond to what is actually installed
+   rm -f *.html fvwm/*.html
+   cp -a $CWD/htmlpages/* .
+)
+
+
 # If there's a ChangeLog, installing at least part of the recent history
 # is useful, but don't let it get totally out of control:
 if [ -r ChangeLog ]; then
